Bug 1112137 - Concurrent activations of same LV race against each other with "Device or resource busy"
Summary: Concurrent activations of same LV race against each other with "Device or res...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Alasdair Kergon
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 878948
Blocks: 1127117
TreeView+ depends on / blocked
 
Reported: 2014-06-23 08:21 UTC by Jan Kurik
Modified: 2014-11-26 09:36 UTC (History)
26 users (show)

Fixed In Version: lvm2-2.02.100-9.el6_5
Doc Type: Bug Fix
Doc Text:
Concurrent activation and deactivation of logical volumes is now prohibited. Locking is performed so that operations are now processed sequentially. This does not apply to thin or cache logical volumes, nor in clusters. 'lvchange -ay $lv' and 'lvchange -an $lv' should no longer cause trouble if issued concurrently: the new lock should make sure they activate/deactivate $lv one-after-the-other, instead of overlapping.
Clone Of: 878948
: 1127117 (view as bug list)
Environment:
Last Closed: 2014-11-26 09:36:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1908 normal SHIPPED_LIVE lvm2 bug fix update 2014-11-26 14:35:36 UTC

Description Jan Kurik 2014-06-23 08:21:55 UTC
This bug has been copied from bug #878948 and has been proposed
to be backported to 6.5 z-stream (EUS).

Comment 6 Alasdair Kergon 2014-08-05 21:07:54 UTC
Primary bug is now VERIFIED so we shall proceed with this backport.

Comment 8 Alasdair Kergon 2014-08-05 23:30:09 UTC
The change depended on some changes to the signal handling code, and rather than trying to work out how to separate this and perhaps introducing new bugs, in my first attempt at a backport, I have included these changes in full.

Comment 16 errata-xmlrpc 2014-11-26 09:36:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1908.html


Note You need to log in before you can comment on or make changes to this bug.